package com.ruoyi.project.mapper;

import java.util.List;
import com.ruoyi.project.domain.TrsTechnicalResults;

/**
 * 专业术语监测Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-24
 */
public interface TrsTechnicalResultsMapper 
{
    /**
     * 查询专业术语监测
     * 
     * @param id 专业术语监测主键
     * @return 专业术语监测
     */
    public TrsTechnicalResults selectTrsTechnicalResultsById(Long id);

    /**
     * 查询专业术语监测列表
     * 
     * @param trsTechnicalResults 专业术语监测
     * @return 专业术语监测集合
     */
    public List<TrsTechnicalResults> selectTrsTechnicalResultsList(TrsTechnicalResults trsTechnicalResults);

    /**
     * 新增专业术语监测
     * 
     * @param trsTechnicalResults 专业术语监测
     * @return 结果
     */
    public int insertTrsTechnicalResults(TrsTechnicalResults trsTechnicalResults);

    /**
     * 修改专业术语监测
     * 
     * @param trsTechnicalResults 专业术语监测
     * @return 结果
     */
    public int updateTrsTechnicalResults(TrsTechnicalResults trsTechnicalResults);

    /**
     * 删除专业术语监测
     * 
     * @param id 专业术语监测主键
     * @return 结果
     */
    public int deleteTrsTechnicalResultsById(Long id);

    /**
     * 批量删除专业术语监测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsTechnicalResultsByIds(String[] ids);

    Long selectId(String datakey);
}
